Bug 1481454 - Tracker: denials after introducing of 'map' permission
Summary: Tracker: denials after introducing of 'map' permission
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1442372 1480910 1480911 1480912 1480913 1480914 1480915 1480916 1480917 1480918 1480919 1480920 1480929 1481356 1481376 1481453 1481455 1481456 1481457 1481458 1481459 1481460 1481552 1481553 1481554 1481555 1481556 1481558 1481559 1481560 1481563 1481566 1481567 1481568 1481569 1481572 1482149 1482153 1483169 1483170 1485050 1487984 1513704 1514592 1518027 1572369
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-14 23:32 UTC by Adam Williamson
Modified: 2019-05-28 23:58 UTC (History)
14 users (show)

Fixed In Version: selinux-policy-3.13.1-272.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:58:36 UTC


Attachments (Terms of Use)

Description Adam Williamson 2017-08-14 23:32:39 UTC
selinux-policy 3.13.1-269 introduced a new permission, 'map', and immediately there have been dozens of reports of denials for this permission. This is a tracker for them.

Comment 1 Jan Kurik 2017-08-15 09:17:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Bruno Wolff III 2017-08-16 03:18:05 UTC
It looks like postgresql and httpd are affected by this as well.

Comment 3 Lukas Vrabec 2017-09-13 06:50:34 UTC
Together with Petr Lautrbach we created github issue with map perms AVCs: https://github.com/fedora-selinux/selinux-policy/issues/201

Feel free to add more AVCs, I'm doing builds every day. 

Lukas.

Comment 4 Adam Williamson 2017-09-13 06:54:03 UTC
Thanks. I think we've got all the really big ones that just show up in a default install, or break things in the release criteria, but I'll keep this open a bit longer just in case there are any we've overlooked.

Comment 5 Patrick O'Callaghan 2017-11-22 12:05:42 UTC
I recently reported https://bugzilla.redhat.com/show_bug.cgi?id=1514538 which may be related to this. Despite being marked CLOSED/NOTABUG, the problem persists.

Comment 6 Stuart D Gathman 2017-12-05 23:26:39 UTC
Will need to add the map permission to cjdns-selinux for f27.

Comment 7 Ingvar Hagelund 2018-02-05 08:43:27 UTC
I get this with selinux-policy-3.13.1-283.21.fc27.noarch :

SELinux is preventing colord from map access on the file /home/username/.local/share/icc/edid-[32 character hash].icc.

like 

SELinux is preventing colord from map access on the file /home/myuser/.local/share/icc/edid-ab2ff9c090dd91985c56ae02eb85058f.icc.

This is with /home on NFS.

Ingvar

Comment 8 Fedora End Of Life 2018-02-20 15:27:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 9 Ben Cotton 2019-05-02 19:37:24 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-05-28 23:58:36 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.